<template>
  <my-modal v-model:open="visible" title="设置导入参数" :width="400">
    <qm-low-form :params="params" :fields="fields" :label-width="80">
    </qm-low-form>
  </my-modal>
</template>
<script name="SetImportParamsDialog" lang="ts" setup>
import { ref } from "vue";
import { setValueFromObj } from "@/utils/tool";
const visible = defineModel();
const props = defineProps<{ curRow: any }>();

//todo 入参名
const params = ref({
  a: "",
  b: "",
});
//   params.value = setValueFromObj(params.value, props.curRow);
const fields = ref([
  {
    prop: "a",
    label: "考试年度",
    colSpan: 24,
    type: "select",
  },
  {
    prop: "b",
    label: "考次",
    colSpan: 24,
    type: "select",
  },
]);
</script>
<style lang="less" scoped></style>
